program fce;

type
  funkce = function(x: real): real;

procedure tabulka(f: funkce; od, po: real; kolik: integer);
var
  delta: real;
  x: real;
  i: integer;
begin
  delta := (po - od)/(kolik - 1);
  for i := 0 to kolik - 1 do
  begin
     x := od + i * delta;
     writeln(x, '    ', f(x));
  end;
end;

function mocnina(x: real): real;
begin
  Result := x*x*x;
end;

var
  f: funkce;

begin
  f := @mocnina;
  writeln(f(3.14));
  tabulka(@mocnina, 0, 1, 11)
end.

